Skip to main content
`Ctrl`+`K`

# PetscDeviceConfigure

Configure a particular `PetscDevice`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceConfigure(PetscDevice device)

Not Collective

## Input Parameter

- device - The `PetscDevice` to configure

## Notes

The user should not assume that this is a cheap operation.

## See Also

`PetscDevice`, `PetscDeviceCreate()`, `PetscDeviceView()`, `PetscDeviceDestroy()`, `PetscDeviceGetType()`, `PetscDeviceGetDeviceId()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages